> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Update account type permissions

PATCH https://api.sigmacomputing.com/v2/accountTypes/{accountTypeId}/permissions
Content-Type: application/json

Add or remove permissions on a custom account type.
### Usage notes
- To perform this operation, you must use API credentials owned by a user assigned the Admin account type.
- To read or update permissions for a tenant organization, use [impersonation](/docs/impersonate-users) to obtain a token for that tenant, then call this endpoint with that token.
- Retrieve the **accountTypeId** by calling the [/v2/accountTypes](https://help.sigmacomputing.com/reference/list-account-types) endpoint.
- For **add** and **remove**, use the permission names from the response of the [/v2/accountTypes/:accountTypeId/permissions](https://help.sigmacomputing.com/reference/list-account-type-permissions).
- A permission cannot appear in both **add** and **remove**.
- You cannot modify the permissions of the Admin account type.
- **licenseType** depends on the permissions enabled for the account type.
- **permissions** is the account type's full permission set after applying this update.

### Usage scenarios
- Enable or disable specific permissions for a custom account type.


Reference: https://help.sigmacomputing.com/reference/update-account-type-permissions

## Authentication

- OAuth2 — send the obtained token as `Authorization: Bearer <token>`

## Servers

- `https://api.sigmacomputing.com` (Server for GCP (US) hosted organizations, default)
- `https://api.sa.gcp.sigmacomputing.com` (Server for GCP (KSA) hosted organizations)
- `https://aws-api.sigmacomputing.com` (Server for AWS US (West) hosted organizations)
- `https://api.us-a.aws.sigmacomputing.com` (Server for AWS US (East) hosted organizations)
- `https://api.ca.aws.sigmacomputing.com` (Server for AWS Canada hosted organizations)
- `https://api.eu.aws.sigmacomputing.com` (Server for AWS Europe hosted organizations)
- `https://api.au.aws.sigmacomputing.com` (Server for AWS Australia and APAC hosted organizations)
- `https://api.uk.aws.sigmacomputing.com` (Server for AWS UK hosted organizations)
- `https://api.us.azure.sigmacomputing.com` (Server for Azure US hosted organizations)
- `https://api.eu.azure.sigmacomputing.com` (Server for Azure Europe hosted organizations)
- `https://api.ca.azure.sigmacomputing.com` (Server for Azure Canada hosted organizations)
- `https://api.uk.azure.sigmacomputing.com` (Server for Azure United Kingdom hosted organizations)
- `https://api.au.azure.sigmacomputing.com` (Server for Azure Australia hosted organizations)

## Request

### Path parameters

- `accountTypeId` (string, required) — The unique identifier of the account type.

### Body (application/json)

- `add` (list of string, optional) — Permissions to turn on for this account type.
- `remove` (list of string, optional) — Permissions to turn off for this account type.

## Response

### 200

The response body.

- `accountTypeId` (string, required) — The unique identifier of the account type.
- `accountTypeName` (string, required) — The name of the account type.
- `description` (string, required) — A human-readable description of the permissions and capabilities provided by this account type.
- `isCustom` (boolean, required) — Whether this is a custom account type created by the organization (true) or a default Sigma account type (false).
- `licenseType` (string, required) — The license type of the account type.
- `permissions` (list of object, required) — The account type's full set of permissions after applying this update.
  - `permission` (string, required) — The permission name. For example, "view-worksheet".
  - `description` (string, required) — A human-readable description of what this permission allows.

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "accountTypeId": "string",
  "accountTypeName": "string",
  "description": "string",
  "isCustom": true,
  "licenseType": "string",
  "permissions": [
    {
      "permission": "string",
      "description": "string"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/accountTypes/accountTypeId/permissions"

payload = {}
headers = {
    "Authorization": "<token>.",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/accountTypes/accountTypeId/permissions';
const options = {
  method: 'PATCH',
  headers: {Authorization: '<token>.', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/accountTypes/accountTypeId/permissions"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "<token>.")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/accountTypes/accountTypeId/permissions")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<token>.'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.sigmacomputing.com/v2/accountTypes/accountTypeId/permissions")
  .header("Authorization", "<token>.")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.sigmacomputing.com/v2/accountTypes/accountTypeId/permissions', [
  'body' => '{}',
  'headers' => [
    'Authorization' => '<token>.',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/accountTypes/accountTypeId/permissions");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "<token>.");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "<token>.",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/accountTypes/accountTypeId/permissions")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```